## ocamlsdl 0.6.3

=== Makefile ===
#
# OCamlSDL - An ML interface to the SDL library
# Copyright (C) 1999  Frederic Brunel
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

# $Id: Makefile,v 1.10 2002/11/06 23:02:07 oliv__a Exp $

all:
	$(MAKE) -C src

test: all
	$(MAKE) -C samples

doc: all
	$(MAKE) -C src doc

clean:
	$(MAKE) -C src clean
	$(MAKE) -C samples clean

distclean:
	$(MAKE) -C src distclean
	$(MAKE) -C samples distclean
	rm -f config.cache config.log config.status makefile.toplevel aclocal.m4

install:
	$(MAKE) -C src install

uninstall:
	$(MAKE) -C src uninstall

makefile.toplevel : configure ; $(error "please run ./configure")
configure : configure.in
	aclocal -I support
	autoconf

-include makefile.toplevel

.PHONY: all test clean distclean install uninstall

=== samples/Makefile ===
#
# OCamlSDL - An ML interface to the SDL library
# Copyright (C) 1999  Frederic Brunel
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

# $Id: Makefile,v 1.10 2003/01/16 16:36:09 oliv__a Exp $


include ../makefile.toplevel

LIB_DIR = ../src

MLFLAGS  += -w s -I $(LIB_DIR)
OMLFLAGS += -w s -I $(LIB_DIR)

SAMPLES = test_cdrom ocamlplayer \
          testalpha testjoystick ocamlsdl_logo checkkeys \
          showfont
ifdef LABLGLDIR
SAMPLES +=  sdlgears
endif

all: $(addsuffix .test,$(SAMPLES))
opt: $(addsuffix .opt,$(SAMPLES))

event_loop.test event_loop.opt : EXTRA = ttf
ocamlplayer.test ocamlplayer.opt : EXTRA = mixer
ocamlsdl_logo.test ocamlsdl_logo.opt : EXTRA = loader
ocamlsdl_logo2.test ocamlsdl_logo2.opt : EXTRA = loader
showfont.test showfont.opt : EXTRA = ttf

sdlgears.test : sdlgears.ml
	$(CAMLC) -o $@ -I $(LIB_DIR) -I $(LABLGLDIR) -dllpath $(LIB_DIR) bigarray.cma lablgl.cma sdl.cma $<

sdlgears.opt : sdlgears.ml
	$(CAMLOPT) -o $@ -I $(LIB_DIR) -I $(LABLGLDIR) bigarray.cmxa lablgl.cmxa sdl.cmxa $<

%.test : %.cmo
	$(CAMLC) -o $@ -I $(LIB_DIR) -dllpath $(LIB_DIR) bigarray.cma sdl.cma $(EXTRA:%=sdl%.cma) $<

%.opt : %.cmx
	$(CAMLOPT) -o $@ -I $(LIB_DIR) bigarray.cmxa sdl.cmxa $(EXTRA:%=sdl%.cmxa) $<

distclean: clean
	rm -f .depend *~

clean:
	rm -f *.cm* *.[oa] *.so *.opt *.test

depend: .depend

.depend: $(SAMPLES:%=%.ml)
	@$(CAMLDEP) -I $(LIB_DIR) $^ > $@

.PHONY: all opt clean distclean depend

-include .depend

=== src/Makefile ===
#
# OCamlSDL - An ML interface to the SDL library
# Copyright (C) 1999  Frederic Brunel
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

# $Id: Makefile,v 1.23 2003/02/24 22:55:08 oliv__a Exp $


include ../makefile.toplevel

INSTALL_DIR = $(DESTDIR)$(OCAMLSDLDIR)

MODULES = 	sdl sdlcdrom sdltimer sdljoystick \
	        sdlkey sdlmouse sdlevent sdlvideo sdlwm \
                $(if $(LABLGLDIR),sdlgl)

STUB_SRCS = 	$(MODULES:%=%_stub.c) common.c sdlrwops_stub.c
STUB_OBJS =	$(STUB_SRCS:.c=$(OBJSUFFIX))

ML_SRCS =       $(MODULES:%=%.ml)

ML_OBJS	=	$(ML_SRCS:.ml=.cmo)
OPT_OBJS=	$(ML_SRCS:.ml=.cmx)

MLI	=	$(ML_SRCS:.ml=.mli) $(PARTS:%=sdl%.mli)
CMI	=	$(MLI:.mli=.cmi)

TOPLEVEL = 	toplevel
LIBRARY = 	sdl.cma
OLIBRARY = 	sdl.cmxa sdl.a

all:: libs 

ifdef CYGWIN
libs:: libmlsdl_main.a
libmlsdl_main.a : mlsdl_main.o
else
all:: bin
endif	

bin:  $(TOPLEVEL)
libs:: $(LIBRARY) $(CLIBRARY) $(PARTS:%=sdl%.cma) $(PARTS:%=libsdl%stub.a)

ifdef CAMLDOC
LABLGLINC = $(if $(LABLGLDIR),-I $(LABLGLDIR))
doc : ../doc/html/index.html ../doc/ocamlsdl.texi
../doc/html/index.html : $(CMI)
	mkdir -p ../doc/html
	$(CAMLDOC) -d ../doc/html -html -v -t ocamlsdl $(LABLGLINC) $(MLI)
../doc/ocamlsdl.texi : $(CMI)
	$(CAMLDOC) -d ../doc -texi -v -o $@ -t ocamlsdl $(LABLGLINC) $(MLI)
else
doc : ; $(error "you need ocamldoc to generate the documentation")
endif

$(TOPLEVEL): $(LIBRARY) $(CLIBRARY) $(PARTS:%=sdl%.cma)
	$(CAMLTOP) -custom -I . -o $@ bigarray.cma $(LIBRARY) $(PARTS:%=sdl%.cma)

install:: all
	$(INSTALL) -d $(INSTALL_DIR)
	test -f $(TOPLEVEL) && $(INSTALL) $(TOPLEVEL) $(INSTALL_DIR) || :
	$(INSTALL_DATA) *.cma lib*.a *.cmi *.mli $(INSTALL_DIR)

ifdef CAMLOPT
libs :: $(OLIBRARY) $(PARTS:%=sdl%.cmxa)

install :: 
	$(INSTALL_DATA) *.cmxa sdl*.a *.cmx $(INSTALL_DIR)
endif

sdlgl.cmo : MLFLAGS+=  -I $(LABLGLDIR)
sdlgl.cmi : MLFLAGS+=  -I $(LABLGLDIR)
sdlgl.cmx : OMLFLAGS+= -I $(LABLGLDIR)

ifdef CAMLMKLIB
# Use ocamlmklib: requires ocaml >= 3.04
CLIBRARY += dllsdlstub.so

$(LIBRARY): $(ML_OBJS)
	$(CAMLMKLIB) -o sdl -oc sdlstub $(LIBS) $^

sdlmixer.cma : sdlmixer.cmo
	$(CAMLMKLIB) -o sdlmixer -oc sdlmixerstub $(LIBS) -lSDL_mixer $^

libsdlmixerstub.a dllsdlmixerstub.so : sdlmixer_stub.o 
	$(CAMLMKLIB) -o sdlmixer -oc sdlmixerstub $(LIBS) -lSDL_mixer $^

sdlttf.cma : sdlttf.cmo
	$(CAMLMKLIB) -o sdlttf -oc sdlttfstub $(LIBS) -lSDL_ttf $^

libsdlttfstub.a dllsdlttfstub.so : sdlttf_stub.o
	$(CAMLMKLIB) -o sdlttf -oc sdlttfstub $(LIBS) -lSDL_ttf $^

sdlloader.cma : sdlloader.cmo 
	$(CAMLMKLIB) -o sdlloader -oc sdlloaderstub $(LIBS) -lSDL_image $^

libsdlloaderstub.a dllsdlloaderstub.so : sdlloader_stub.o 
	$(CAMLMKLIB) -o sdlloader -oc sdlloaderstub $(LIBS) -lSDL_image $^

$(OLIBRARY): $(OPT_OBJS)
	$(CAMLMKLIB) -o sdl -oc sdlstub $(LIBS) $^

sdlmixer.cmxa : sdlmixer.cmx
	$(CAMLMKLIB) -o sdlmixer -oc sdlmixerstub $(LIBS) -lSDL_mixer $^

sdlttf.cmxa : sdlttf.cmx
	$(CAMLMKLIB) -o sdlttf -oc sdlttfstub $(LIBS) -lSDL_ttf $^

sdlloader.cmxa : sdlloader.cmx 
	$(CAMLMKLIB) -o sdlloader -oc sdlloaderstub $(LIBS) -lSDL_image $^

$(CLIBRARY): $(STUB_OBJS)
	$(CAMLMKLIB) -o sdl -oc sdlstub $(LIBS) $^

install:: 
	-$(INSTALL) -d $(DESTDIR)$(CAMLLIBDIR)/stublibs
	-$(INSTALL) *.so $(DESTDIR)$(CAMLLIBDIR)/stublibs


else
# does not use ocamlmklib
$(LIBRARY): $(ML_OBJS)
$(LIBRARY): LIBS = -lsdlstub $(LIBS)

$(OLIBRARY): $(OPT_OBJS)
$(OLIBRARY): LIBS = -lsdlstub $(LIBS)

$(CLIBRARY): $(STUB_OBJS)

sdlmixer.cma  : sdlmixer.cmo
sdlmixer.cmxa : sdlmixer.cmx
sdlmixer.cma sdlmixer.cmxa : LIBS = -lsdlmixerstub -lSDL_mixer

sdlttf.cma  : sdlttf.cmo
sdlttf.cmxa : sdlttf.cmx
sdlttf.cma sdlttf.cmxa : LIBS = -lsdlttfstub -lSDL_ttf

sdlloader.cma  : sdlloader.cmo
sdlloader.cmxa : sdlloader.cmx
sdlloader.cma sdlloader.cmxa : LIBS = -lsdlloaderstub -lSDL_image

libsdlmixerstub.a dllsdlmixerstub.so   : sdlmixer_stub.o 
libsdlttfstub.a dllsdlttfstub.so       : sdlttf_stub.o
libsdlloaderstub.a dllsdlloaderstub.so : sdlloader_stub.o
endif

uninstall:	
	-rm -Rf $(INSTALL_DIR)
	-rm -f $(CAMLLIBDIR)/stublibs/dllsdl*.so

distclean: clean
	rm -f config.h .depend .depend.c *~

clean:
	rm -f *.cm* *.[oa] *.so *.do $(TOPLEVEL)

depend: .depend .depend.c

.depend: $(wildcard *.ml *.mli)
	@echo "making deps..."
	@$(CAMLDEP) $^ > $@

.depend.c : $(STUB_SRCS)
	@echo "making C deps..."
	@$(CC) $(CPPFLAGS) -I $(CAMLLIBDIR) -MM $^ > $@

.PHONY: all bin doc libs clean distclean depend install uninstall

-include .depend
-include .depend.c

## ocamlsdl 0.7.1

=== Makefile ===
--- 
+++ 
@@ -17,37 +17,48 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-# $Id: Makefile,v 1.10 2002/11/06 23:02:07 oliv__a Exp $
+# $Id: Makefile,v 1.19 2004/07/27 20:10:06 oliv__a Exp $
 
-all:
-	$(MAKE) -C src
+all doc clean install:
+	$(MAKE) -C src $@
+.PHONY: all doc clean install
 
-test: all
-	$(MAKE) -C samples
+include makefile.platform
+include makefile.config.$(OCAML_C_BACKEND)
 
-doc: all
-	$(MAKE) -C src doc
-
-clean:
-	$(MAKE) -C src clean
-	$(MAKE) -C samples clean
-
-distclean:
-	$(MAKE) -C src distclean
-	$(MAKE) -C samples distclean
-	rm -f config.cache config.log config.status makefile.toplevel aclocal.m4
-
-install:
-	$(MAKE) -C src install
-
-uninstall:
-	$(MAKE) -C src uninstall
-
-makefile.toplevel : configure ; $(error "please run ./configure")
+ifeq ($(OCAML_C_BACKEND),gcc)
+makefile.config.gcc : makefile.config.gcc.in configure
+	$(error "please run ./configure or edit makefile.platform")
 configure : configure.in
 	aclocal -I support
 	autoconf
+endif
 
--include makefile.toplevel
+DISTSRC := AUTHORS COPYING INSTALL INSTALL.win32 README NEWS \
+           Makefile META \
+           configure.in aclocal.m4 configure \
+           makefile.config.gcc.in makefile.config.msvc makefile.rules makefile.platform \
+           support/install-sh support/ocaml.m4 support/config.sub support/config.guess \
+	   src/sdl*.ml src/sdl*.mli src/sdl*.c src/sdl*.h \
+           src/common.c src/common.h src/mlsdl_main.c \
+           src/config.h.in src/config.h.msvc \
+	   src/Makefile src/.depend src/.depend_c \
+           doc/OCamlMakefile doc/Makefile doc/ocamlsdl.texi doc/ocamlsdl.info doc/ocamlsdl-mingw.txt \
+           doc/html xpm_to_ml
+VERSION := 0.7.1
 
-.PHONY: all test clean distclean install uninstall
+# hackish targets to build tarballs
+dist : dist-zip dist-tgz
+dist-zip : ../ocamlsdl-$(VERSION).zip
+dist-tgz : ../ocamlsdl-$(VERSION).tar.gz
+.PHONY : dist dist-zip dist-tgz
+../ocamlsdl-$(VERSION).zip : $(DISTSRC)
+	export DIRNAME=$${PWD##*/} ; \
+	cd .. && mv $$DIRNAME ocamlsdl-$(VERSION) && \
+        zip -9l $(@F) $(addprefix ocamlsdl-$(VERSION)/,$(DISTSRC)) && \
+	mv ocamlsdl-$(VERSION) $$DIRNAME 
+../ocamlsdl-$(VERSION).tar.gz : $(DISTSRC)
+	export DIRNAME=$${PWD##*/} ; \
+	cd .. && mv $$DIRNAME ocamlsdl-$(VERSION) && \
+	tar zcvf $(@F) $(addprefix ocamlsdl-$(VERSION)/,$(DISTSRC)) && \
+	mv ocamlsdl-$(VERSION) $$DIRNAME

=== src/Makefile ===
VERSION := 0.7.1

include ../makefile.platform
include ../makefile.config.$(OCAML_C_BACKEND)
include ../makefile.rules

OMLFLAGS = -unsafe
MLFLAGS  = -g

sdl_MODULES = sdl sdlcdrom sdltimer sdljoystick \
	      sdlkey sdlmouse sdlevent sdlvideo sdlwm \
              $(if $(LABLGLDIR),sdlgl)
sdl_C_SRC    = common.c sdlrwops_stub.c

loader_MODULES = sdlloader
mixer_MODULES  = sdlmixer
ttf_MODULES    = sdlttf

TARGETS  = sdl.cma $(patsubst %,sdl%.cma,$(PARTS))
TARGETS += libsdlstub.$(A) $(patsubst %,libsdl%stub.$(A),$(PARTS))
ifdef OCAMLOPT
TARGETS += sdl.cmxa $(patsubst %,sdl%.cmxa,$(PARTS))
endif

all : $(TARGETS)

sdl.cma : $(call ML_OBJS,sdl)
	$(call MKCMA,sdl,sdlstub,$^,$(SDL_LIBS))
sdl.cmxa : $(call ML_OPT_OBJS,sdl)
	$(call MKCMXA,sdl,sdlstub,$^,$(SDL_LIBS))
libsdlstub.$(A) dllsdlstub.so : $(call STUB_OBJS,sdl)
	$(call MKCLIB,sdl,sdlstub,$^,$(SDL_LIBS))

sdlloader.cma : $(call ML_OBJS,loader)
	$(call MKCMA,sdlloader,sdlloaderstub,$^,$(call SYSLIB,SDL_image))
sdlloader.cmxa : $(call ML_OPT_OBJS,loader)
	$(call MKCMXA,sdlloader,sdlloaderstub,$^,$(call SYSLIB,SDL_image))
libsdlloaderstub.$(A) dllsdlloaderstub.so : $(call STUB_OBJS,loader)
	$(call MKCLIB,sdlloader,sdlloaderstub,$^,$(call SYSLIB,SDL_image))

sdlmixer.cma : $(call ML_OBJS,mixer)
	$(call MKCMA,sdlmixer,sdlmixerstub,$^,$(call SYSLIB,SDL_mixer))
sdlmixer.cmxa : $(call ML_OPT_OBJS,mixer)
	$(call MKCMXA,sdlmixer,sdlmixerstub,$^,$(call SYSLIB,SDL_mixer))
libsdlmixerstub.$(A) dllsdlmixerstub.so : $(call STUB_OBJS,mixer)
	$(call MKCLIB,sdlmixer,sdlmixerstub,$^,$(call SYSLIB,SDL_mixer))

sdlttf.cma : $(call ML_OBJS,ttf)
	$(call MKCMA,sdlttf,sdlttfstub,$^,$(call SYSLIB,SDL_ttf))
sdlttf.cmxa : $(call ML_OPT_OBJS,ttf)
	$(call MKCMXA,sdlttf,sdlttfstub,$^,$(call SYSLIB,SDL_ttf))
libsdlttfstub.$(A) dllsdlttfstub.so : $(call STUB_OBJS,ttf)
	$(call MKCLIB,sdlttf,sdlttfstub,$^,$(call SYSLIB,SDL_ttf))


LABLGLINC = $(if $(LABLGLDIR),-I $(LABLGLDIR))
sdlgl.cm% :  MLINC=$(LABLGLINC)

ifdef INSTALL
INSTALL_DIR = $(DESTDIR)$(OCAMLSDLDIR)
INSTALL_TARGETS = $(if $(OCAMLFIND), \
                    install-findlib, \
                    install-byte $(if $(OCAMLOPT),install-opt) $(if $(OCAMLMKLIB),install-dll))
install : all $(INSTALL_TARGETS)
install-byte:
	$(INSTALL) -d $(INSTALL_DIR)
	$(INSTALL_DATA) *.cma lib*.$(A) *.cmi *.mli $(INSTALL_DIR)
install-opt:
	$(INSTALL_DATA) *.cmxa sdl*.$(A) *.cmx $(INSTALL_DIR)
install-dll:
	$(INSTALL) -d $(DESTDIR)$(OCAMLLIBDIR)/stublibs
	$(INSTALL) dll*.so $(DESTDIR)$(OCAMLLIBDIR)/stublibs

ifdef OCAMLFIND
install-findlib :
	$(OCAMLFIND) install sdl ../META \
          *.cma lib*.$(A) *.cmi *.mli \
          $(if $(OCAMLOPT),*.cmxa sdl*.$(A) *.cmx) \
          $(if $(OCAMLMKLIB),dll*.so)
else
install-findlib : ; $(error "findlib is not installed")
endif

.PHONY : install install-byte install-opt install-dll install-findlib
endif

ifdef OCAMLDOC
MLI = $(foreach part,sdl $(PARTS),$(patsubst %.ml,%.mli,$(call ML_SRCS,$(part))))
CMI = $(patsubst %.mli,%.cmi,$(MLI))

doc : ../doc/html/index.html ../doc/ocamlsdl.texi
../doc/html/index.html : $(CMI)
	mkdir -p ../doc/html
	$(OCAMLDOC) -d ../doc/html -html -v -t 'OCamlSDL $(VERSION)' $(LABLGLINC) $(MLI)
../doc/ocamlsdl.texi : $(CMI)
	mkdir -p ../doc
	$(OCAMLDOC) -d ../doc -texi -v -o $@ -t 'OCamlSDL $(VERSION)' $(LABLGLINC) $(MLI)
else
doc : ; $(error "you need ocamldoc to generate the documentation")
endif

clean:
	rm -f *.cm* *.$(OBJEXT) *.$(A) *.so *.do

depend: .depend .depend.c

.depend: $(wildcard *.ml *.mli)
	@echo "making deps..."
	@$(OCAMLDEP) $^ > $@
-include .depend

ifeq ($(OCAML_C_BACKEND),gcc)
.depend_c : $(wildcard *.c)
	@echo "making C deps..."
	@$(CC) $(patsubst -I%,-isystem %,$(CPPFLAGS)) -isystem $(OCAMLLIBDIR) -MM $^ > $@
-include .depend_c
else
include .depend_c
endif

.PHONY: all doc clean depend

## ocamlsdl 0.7.2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-# $Id: Makefile,v 1.19 2004/07/27 20:10:06 oliv__a Exp $
+# $Id: Makefile,v 1.20 2005/01/30 22:31:44 oliv__a Exp $
 
 all doc clean install:
 	$(MAKE) -C src $@
@@ -34,7 +34,7 @@
 	autoconf
 endif
 
-DISTSRC := AUTHORS COPYING INSTALL INSTALL.win32 README NEWS \
+DISTSRC := AUTHORS COPYING INSTALL INSTALL.win32 README README.macosx NEWS \
            Makefile META \
            configure.in aclocal.m4 configure \
            makefile.config.gcc.in makefile.config.msvc makefile.rules makefile.platform \
@@ -45,7 +45,7 @@
 	   src/Makefile src/.depend src/.depend_c \
            doc/OCamlMakefile doc/Makefile doc/ocamlsdl.texi doc/ocamlsdl.info doc/ocamlsdl-mingw.txt \
            doc/html xpm_to_ml
-VERSION := 0.7.1
+VERSION := 0.7.2
 
 # hackish targets to build tarballs
 dist : dist-zip dist-tgz

=== doc/Makefile ===
OCAMLMAKEFILE = OCamlMakefile

SOURCES = foobar.ml
RESULT  = foobar

INCDIRS=+sdl 
LIBS=bigarray sdl
TRASH=*~

-include $(OCAMLMAKEFILE)

=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION := 0.7.1
+VERSION := 0.7.2
 
 include ../makefile.platform
 include ../makefile.config.$(OCAML_C_BACKEND)
@@ -65,8 +65,14 @@
 install-byte:
 	$(INSTALL) -d $(INSTALL_DIR)
 	$(INSTALL_DATA) *.cma lib*.$(A) *.cmi *.mli $(INSTALL_DIR)
+ifeq ($(PLATFORM),Apple)
+	$(RANLIB) $(INSTALL_DIR)/lib*.$(A)
+endif
 install-opt:
 	$(INSTALL_DATA) *.cmxa sdl*.$(A) *.cmx $(INSTALL_DIR)
+ifeq ($(PLATFORM),Apple)
+	$(RANLIB) $(INSTALL_DIR)/sdl*.$(A)
+endif
 install-dll:
 	$(INSTALL) -d $(DESTDIR)$(OCAMLLIBDIR)/stublibs
 	$(INSTALL) dll*.so $(DESTDIR)$(OCAMLLIBDIR)/stublibs
@@ -77,6 +83,9 @@
           *.cma lib*.$(A) *.cmi *.mli \
           $(if $(OCAMLOPT),*.cmxa sdl*.$(A) *.cmx) \
           $(if $(OCAMLMKLIB),dll*.so)
+ifeq ($(PLATFORM),Apple)
+	$(RANLIB) $$($(OCAMLFIND) printconf destdir)/*.$(A)
+endif
 else
 install-findlib : ; $(error "findlib is not installed")
 endif

## ocamlsdl 0.8.0

=== debian/changelog ===
ocamlsdl (0.8.0-2build2) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:28:03 -0600

ocamlsdl (0.8.0-2build1) oneiric; urgency=low

  * Rebuild for OCaml 3.12.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 May 2011 23:20:44 +0100

ocamlsdl (0.8.0-2) unstable; urgency=low

  * Add 0001-Fix-build-on-bytecode-architectures.patch (Closes: #586619)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Jun 2010 14:00:38 -0700

ocamlsdl (0.8.0-1) unstable; urgency=low

  * New upstream release
    - remove all patches
  * debian/control:
    - add myself to Uploaders
    - bump Standards-Version to 3.8.4 (no changes)
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 19 Jun 2010 22:00:20 -0700

ocamlsdl (0.7.2-11) unstable; urgency=low

  * Use dh-ocaml 0.9.1 features
  * Upgrade Standards-Version to 3.8.3 (section ocaml, README.source)
  * Add a patch to update config.{sub|guess} (Closes: #549998)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 17 Dec 2009 22:10:54 +0000

ocamlsdl (0.7.2-10) unstable; urgency=low

  * Rebuild with OCaml 3.11.
  * Add Homepage field.

 -- Samuel Mimram <smimram@debian.org>  Sun, 01 Mar 2009 21:18:38 +0100

ocamlsdl (0.7.2-9) experimental; urgency=low

  * Switch packaging to git.
  * Use predefined dh-ocaml variables.
  * Update standards version to 3.8.0.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Thu, 19 Feb 2009 18:56:07 +0100

ocamlsdl (0.7.2-8) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Julien Cristau ]
  * Add missing dependencies of libsdl-ocaml-dev on the packages providing the
    various SDL libraries (closes: #471659).

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Samuel Mimram ]
  * Remove bashism from rules, closes: #484425.
  * Updated standards version to 3.7.3.
  * Remove empty /usr/share/lintian/overrides directories.
  * Convert copyright and doc-base files in utf8.
  * Updated copyright file.

 -- Samuel Mimram <smimram@debian.org>  Mon, 09 Jun 2008 00:24:20 +0200

ocamlsdl (0.7.2-7) unstable; urgency=low

  * Rebuild with OCaml 3.10.
  * It is not necessary anymore to remove rpath.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 01:19:06 +0200

ocamlsdl (0.7.2-6) unstable; urgency=low

  * Rebuild with OCaml 3.09.2.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Thu, 18 May 2006 22:50:09 +0000

ocamlsdl (0.7.2-5) unstable; urgency=low

  * Rebuild with OCaml 3.09.1.

 -- Samuel Mimram <smimram@debian.org>  Sun,  8 Jan 2006 18:49:57 +0100

ocamlsdl (0.7.2-4) unstable; urgency=low

  * Added forgotten dependency on ocaml-findlib.
  * Using chrpath to remove rpaths.
  * Removed lintian overrides.

 -- Samuel Mimram <smimram@debian.org>  Wed, 23 Nov 2005 21:22:27 +0100

ocamlsdl (0.7.2-3) unstable; urgency=low

  * New maintainer.
  * Updated package to OCaml 3.09.0.
  * No longer hardcoding OCaml's ABI in the package.
  * No longer build-conflicting with ocaml-findlib.
  * Updated watch file.
  * Updated standards version to 3.6.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 Nov 2005 21:39:25 +0100

ocamlsdl (0.7.2-2) unstable; urgency=low

  * debian/libsdl-ocaml-dev.doc-base: move documentation from `Devel'
    to `Apps/Programming' section. Closes: Bug#311121.

 -- Jerome Marant <jerome@debian.org>  Sat,  4 Jun 2005 12:15:52 +0200

ocamlsdl (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Built against ocaml 3.08.3. Closes: Bug#304166.
  * debian/control:
    - Changed ocaml build-dependency to ocaml-3.08.3.
    - [libsdl-ocaml-dev]: changed ocaml dependency to ocaml-nox-3.08.3.
    - [libsdl-ocaml]: changed ocaml dependency to ocaml-base-nox-3.08.3.
  * debian/libsdl-ocaml{,-dev}.overrides: updated with respect to ocaml 3.08.3.
  * debian/patches/sdltimer-delay-fix.dpatch: new patch from upstream
    fixing a crash in Sdltimer.delay.

 -- Jerome Marant <jerome@debian.org>  Tue, 12 Apr 2005 21:51:25 +0200

ocamlsdl (0.7.1-2) unstable; urgency=medium

  * debian/samples: removed examples since they are no longer provided
    upstream and of a too low quality.
  * debian/rules:
    - Removed installation of examples.
    - Install META file from the upstream tarball rather than the
      one we have provided so far.
  * debian/control: got rid of sharutils build-dependency.

 -- Jerome Marant <jerome@debian.org>  Tue,  3 Aug 2004 22:53:02 +0200

ocamlsdl (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Built against ocaml 3.08.0.
  * debian/control:
    - Bumped Standards-Version to 3.6.1.1.
    - Changed liblablgl build-dependency version to >= 1.01-1.
    - Changed ocaml build-dependency to ocaml-3.08.
    - Build conflict on ocaml-findlib: findlib really makes a hard time
      to install libraries, better use the traditional way.
    - Added build-dependency on dpatch.
    - [libsdl-ocaml-dev]: changed ocaml dependency to ocaml-nox-3.08.
    - [libsdl-ocaml]: changed ocaml dependency to ocaml-base-nox-3.08.
    - Added build-dependency on sharutils since we need uudecode for images
      and fonts from imported samples.
  * debian/libsdl-ocaml{,-dev}.overrides: updated with respect to ocaml 3.08.0.
  * debian/libsdl-ocaml.files: likewise.
  * debian/META: likewise.
  * debian/rules.patch: removed since we use dpatch now.
  * debian/samples: imported samples from the previous upstream
    release since they are no longer distributed in upstream tarballs.

 -- Jerome Marant <jerome@debian.org>  Wed, 28 Jul 2004 22:47:39 +0200

ocamlsdl (0.6.3-2) unstable; urgency=low

  * Rebuilt against ocaml 3.07.
  * debian/control:
    - Bumped Standards-Version to 3.6.1.
    - Changed binary dependencies and build dependencies with
      respect to ocaml 3.07.


=== debian/control ===
Source: ocamlsdl
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Samuel Mimram <smimram@debian.org>,
 Sylvain Le Gall <gildor@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7),
 dh-ocaml (>= 0.9.1),
 ocaml-nox (>= 3.11),
 libpng12-dev,
 libsdl1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-image1.2-dev,
 libsdl-ttf2.0-dev,
 liblablgl-ocaml-dev (>= 1.04),
 ocaml-findlib (>= 1.2.4)
Standards-Version: 3.8.4
Homepage: http://ocamlsdl.sourceforge.net
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlsdl.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlsdl.git

Package: libsdl-ocaml-dev
Architecture: any
Depends:
 libsdl1.2-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml bindings for SDL - development files
 SDL (Simple DirectMedia Layer) is a generic API that provides low
 level access to audio, keyboard, mouse, and display framebuffer
 across multiple platforms.
 OCamlSDL is an OCaml interface to SDL that might be used to write
 multimedia applications in Objective Caml.
 .
 This package contains development files for OCamlSDL application
 writers.

Package: libsdl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for SDL - runtime files
 SDL (Simple DirectMedia Layer) is a generic API that provides low
 level access to audio, keyboard, mouse, and display framebuffer
 across multiple platforms.
 OCamlSDL is an OCaml interface to the SDL and might be used to write
 multimedia applications in Objective Caml.
 .
 This package contains runtime libraries needed for running dynamic
 bytecode executables.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/ocaml/ocamlinit.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)

OCAMLSDL=$(CURDIR)/debian/libsdl-ocaml
OCAMLSDLDEV=$(OCAMLSDL)-dev

build: ocamlinit build-stamp
build-stamp:
	dh_testdir

	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

	$(MAKE)

	touch build-stamp

clean: ocamlinit-clean
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f makefile.config.gcc ] || $(MAKE) clean
	rm -f config.log config.status
	rm -f makefile.config.gcc src/config.h

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --list-missing
	dh_installdocs
#	dh_installinfo doc/ocamlsdl.info
	dh_installexamples
	dh_installman
	dh_installchangelogs NEWS
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_ocaml
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install ocamlinit

## ocamlsdl 0.9.0

=== debian/changelog ===
ocamlsdl (0.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #667447)
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.3

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Jun 2012 12:06:00 +0200

ocamlsdl (0.8.0-4) unstable; urgency=low

  * Build-Depend on libpng-dev instead of libpng12-dev (Closes: #662449)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 05 Mar 2012 21:25:32 +0100

ocamlsdl (0.8.0-3) unstable; urgency=low

  * Add dependency to libsdl-gfx1.2-dev (Closes: #638014)
  * Bump debhelper compat to 8, rewrite debian/rules using overrides
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Aug 2011 22:10:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
  Sylvain Le Gall <gildor@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 8),
  dh-ocaml (>= 0.9.1),
  ocaml-nox (>= 3.11),
- libpng12-dev,
+ libpng-dev,
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-image1.2-dev,
  libsdl-ttf2.0-dev,
+ libsdl-gfx1.2-dev,
  liblablgl-ocaml-dev (>= 1.04),
  ocaml-findlib (>= 1.2.4)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://ocamlsdl.sourceforge.net
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlsdl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlsdl.git
@@ -29,6 +30,7 @@
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-ttf2.0-dev,
+ libsdl-gfx1.2-dev,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}

## ocamlsdl 0.9.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-# $Id: Makefile,v 1.20 2005/01/30 22:31:44 oliv__a Exp $
+# $Id: Makefile,v 1.24 2010/04/19 21:01:14 oliv__a Exp $
 
 all doc clean install:
 	$(MAKE) -C src $@
@@ -35,17 +35,16 @@
 endif
 
 DISTSRC := AUTHORS COPYING INSTALL INSTALL.win32 README README.macosx NEWS \
-           Makefile META \
+           Makefile META.in \
            configure.in aclocal.m4 configure \
-           makefile.config.gcc.in makefile.config.msvc makefile.rules makefile.platform \
+           makefile.platform.in makefile.config.gcc.in makefile.config.msvc makefile.rules \
            support/install-sh support/ocaml.m4 support/config.sub support/config.guess \
 	   src/sdl*.ml src/sdl*.mli src/sdl*.c src/sdl*.h \
            src/common.c src/common.h src/mlsdl_main.c \
            src/config.h.in src/config.h.msvc \
 	   src/Makefile src/.depend src/.depend_c \
-           doc/OCamlMakefile doc/Makefile doc/ocamlsdl.texi doc/ocamlsdl.info doc/ocamlsdl-mingw.txt \
+           doc/ocamlsdl.texi doc/ocamlsdl.info doc/ocamlsdl-mingw.txt \
            doc/html xpm_to_ml
-VERSION := 0.7.2
 
 # hackish targets to build tarballs
 dist : dist-zip dist-tgz
@@ -55,7 +54,7 @@
 ../ocamlsdl-$(VERSION).zip : $(DISTSRC)
 	export DIRNAME=$${PWD##*/} ; \
 	cd .. && mv $$DIRNAME ocamlsdl-$(VERSION) && \
-        zip -9l $(@F) $(addprefix ocamlsdl-$(VERSION)/,$(DISTSRC)) && \
+        zip -9rl $(@F) $(addprefix ocamlsdl-$(VERSION)/,$(DISTSRC)) && \
 	mv ocamlsdl-$(VERSION) $$DIRNAME 
 ../ocamlsdl-$(VERSION).tar.gz : $(DISTSRC)
 	export DIRNAME=$${PWD##*/} ; \

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,3 @@
-VERSION := 0.7.2
-
 include ../makefile.platform
 include ../makefile.config.$(OCAML_C_BACKEND)
 include ../makefile.rules
@@ -15,6 +13,7 @@
 loader_MODULES = sdlloader
 mixer_MODULES  = sdlmixer
 ttf_MODULES    = sdlttf
+gfx_MODULES    = sdlgfx
 
 TARGETS  = sdl.cma $(patsubst %,sdl%.cma,$(PARTS))
 TARGETS += libsdlstub.$(A) $(patsubst %,libsdl%stub.$(A),$(PARTS))
@@ -52,6 +51,13 @@
 libsdlttfstub.$(A) dllsdlttfstub.so : $(call STUB_OBJS,ttf)
 	$(call MKCLIB,sdlttf,sdlttfstub,$^,$(call SYSLIB,SDL_ttf))
 
+sdlgfx.cma : $(call ML_OBJS,gfx)
+	$(call MKCMA,sdlgfx,sdlgfxstub,$^,$(call SYSLIB,SDL_gfx))
+sdlgfx.cmxa : $(call ML_OPT_OBJS,gfx)
+	$(call MKCMXA,sdlgfx,sdlgfxstub,$^,$(call SYSLIB,SDL_gfx))
+libsdlgfxstub.$(A) dllsdlgfxstub.so : $(call STUB_OBJS,gfx)
+	$(call MKCLIB,sdlgfx,sdlgfxstub,$^,$(call SYSLIB,SDL_gfx))
+
 
 LABLGLINC = $(if $(LABLGLDIR),-I $(LABLGLDIR))
 sdlgl.cm% :  MLINC=$(LABLGLINC)
@@ -84,7 +90,7 @@
           $(if $(OCAMLOPT),*.cmxa sdl*.$(A) *.cmx) \
           $(if $(OCAMLMKLIB),dll*.so)
 ifeq ($(PLATFORM),Apple)
-	$(RANLIB) $$($(OCAMLFIND) printconf destdir)/*.$(A)
+	$(RANLIB) $$($(OCAMLFIND) printconf destdir)/sdl/*.$(A)
 endif
 else
 install-findlib : ; $(error "findlib is not installed")

=== debian/changelog ===
ocamlsdl (0.9.1-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:14:57 +0100

ocamlsdl (0.9.1-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 10:03:01 +0200

ocamlsdl (0.9.1-3) unstable; urgency=medium

  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0
  * Remove Samuel from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Sep 2019 09:38:48 +0200

ocamlsdl (0.9.1-2) unstable; urgency=low

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:25:47 +0100

ocamlsdl (0.9.1-1) experimental; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Stéphane Glondu ]
  * New upstream release
  * Update Vcs-*
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 21:54:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,24 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Samuel Mimram <smimram@debian.org>,
- Sylvain Le Gall <gildor@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 8),
- dh-ocaml (>= 0.9.1),
- ocaml-nox (>= 3.11),
+ debhelper-compat (= 13),
+ dh-ocaml,
+ ocaml,
  libpng-dev,
  libsdl1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl-image1.2-dev,
  libsdl-ttf2.0-dev,
  libsdl-gfx1.2-dev,
- liblablgl-ocaml-dev (>= 1.04),
- ocaml-findlib (>= 1.2.4)
-Standards-Version: 3.9.3
+ liblablgl-ocaml-dev,
+ ocaml-findlib
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: http://ocamlsdl.sourceforge.net
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlsdl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlsdl.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlsdl.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlsdl
 
 Package: libsdl-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DESTDIR=$(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
OCAMLSDL=$(CURDIR)/debian/libsdl-ocaml
OCAMLSDLDEV=$(OCAMLSDL)-dev

%:
	dh $@ --with ocaml

override_dh_autoreconf:
# Fails because of missing configure.ac

override_dh_auto_configure:
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

override_dh_auto_clean:
	[ ! -f makefile.config.gcc ] || $(MAKE) clean
	rm -f config.log config.status
	rm -f makefile.config.gcc src/config.h

override_dh_auto_install:
	mkdir -p $(DESTDIR)
	$(MAKE) install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

override_dh_installchangelogs:
	dh_installchangelogs NEWS
